## cloud-init 0.7.3

=== Makefile ===
CWD=$(shell pwd)
PY_FILES=$(shell find cloudinit bin tests tools -name "*.py" -type f )
PY_FILES+="bin/cloud-init"

YAML_FILES=$(shell find cloudinit bin tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )

CHANGELOG_VERSION=$(shell $(CWD)/tools/read-version)
CODE_VERSION=$(shell python -c "from cloudinit import version; print version.version_string()")

ifeq ($(distro),)
  distro = redhat
endif

all: test check_version

pep8:
	@$(CWD)/tools/run-pep8 $(PY_FILES)

pylint:
	@$(CWD)/tools/run-pylint $(PY_FILES)

pyflakes:
	pyflakes $(PY_FILES)

test:
	@nosetests $(noseopts) tests/

check_version:
	@if [ "$(CHANGELOG_VERSION)" != "$(CODE_VERSION)" ]; then \
	    echo "Error: ChangeLog version $(CHANGELOG_VERSION)" \
	    "not equal to code version $(CODE_VERSION)"; exit 2; \
	    else true; fi

2to3:
	2to3 $(PY_FILES)

clean:
	rm -rf /var/log/cloud-init.log \
		   /var/lib/cloud/

yaml:
	@$(CWD)/tools/validate-yaml.py $(YAML_FILES)

rpm:
	./packages/brpm --distro $(distro)

deb:
	./packages/bddeb

.PHONY: test pylint pyflakes 2to3 clean pep8 rpm deb yaml check_version

=== debian/changelog ===
cloud-init (0.7.3-0ubuntu2.2) saucy-proposed; urgency=low

  * debian/patches/lp-1269626-azure_new_instance.patch:
    fix handling of new instances on Windows Azure (LP: #1269626).
  * debian/patches/lp-1292648-azure-format-ephemeral-new.patch:
    re-format ephemeral disk if necessary (LP: #1292648).

 -- Ben Howard <ben.howard@ubuntu.com>  Wed, 19 Mar 2014 16:31:51 -0600

cloud-init (0.7.3-0ubuntu2.1) saucy-proposed; urgency=low

  * debian/patches/lp-1272115-fix_smartos_compliance.patch: Fix compliance for
    SmartOS data handling (LP: #1272115):
    - straight backport from 14.04 LTS development of SmartOS datasource
      and datasource test suite, sans vendordata.
    - cloud-init user-data is now named spaced as "cloud-init:user-data"
    - user-data is written to /var/db/mdata-user-data
    - user-scripts are fetched and executed each boot
    - datacenter/region is now named spaced as "sdc:datacenter"

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 28 Jan 2014 11:19:14 -0700

cloud-init (0.7.3-0ubuntu2) saucy; urgency=low

  * fix bug where a mount entry of 'ephemeral0' would only consider
    the unpartitioned device, not also the first partition (LP: #1236594)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Oct 2013 20:16:02 -0400

cloud-init (0.7.3-0ubuntu1) saucy; urgency=low

  * New upstream release.
    * Fix for SmartOS datasource when hostname is provided via dmi
      data (LP: #1236445)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Oct 2013 14:49:56 -0400

cloud-init (0.7.3~bzr884-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * allow disabling of growpart via file /etc/growroot-disabled
      (LP: #1234331)
    * add default user to sudo group (LP: #1228228)
    * fix disk creation on azure (LP: #1233698)
    * DatasourceSmartOS: allow availabiltity-zone to be fed from the
      datasource via 'region' (which allows 'mirrors' and other things
      to make use of it).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Oct 2013 21:08:07 -0400

cloud-init (0.7.3~bzr879-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fixes to disk_setup config module and enabling of partition
      creation and filesystem creation on Azure.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 27 Sep 2013 19:47:37 -0400

cloud-init (0.7.3~bzr871-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * add 'disk_setup' config module for partitioning disks and
      creating filesystems. (LP: #1218506)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Sep 2013 20:46:08 -0400

cloud-init (0.7.3~bzr869-0ubuntu1) saucy; urgency=low

  * depend on cloud-utils or cloud-guest-utils (LP: #1224003)
  * New upstream snapshot.
    * Add OpenNebula datasource.
    * Support reading 'random_seed' from metadata and writing to /dev/urandom
    * fix for bug in log_time.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Sep 2013 17:04:45 -0400

cloud-init (0.7.3~bzr862-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * support base64 encoded data in the smart os datasource

 -- Scott Moser <smoser@ubuntu.com>  Thu, 29 Aug 2013 04:54:39 -0400

cloud-init (0.7.3~bzr861-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix publishing hostname on azure (LP: #1214541)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 20 Aug 2013 16:06:22 -0400

cloud-init (0.7.3~bzr860-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix setting of password for a user on azure. (LP: #1212723)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Aug 2013 16:01:40 -0400

cloud-init (0.7.3~bzr858-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix resizing of root partition by preferring the functional 'growpart'
      support over the broken 'parted resizepart' support (LP: #1212444)
    * add options for apt_ftp_proxy, apt_https_proxy and apt_config
      (LP: #1057195)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Aug 2013 21:44:22 -0400

cloud-init (0.7.3~bzr851-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * azure: do not wait for output of bouncing interface (ifdown; ifup)
      as that waits on output of all ifupdown scripts to close all file
      descriptors.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 29 Jul 2013 12:21:08 -0400

cloud-init (0.7.3~bzr850-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix bouncing of interface. environment was not being modified
      so command invoked did not have access to 'interface'.
  * debian/README.source: update to read upstream version from trunk

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Jul 2013 14:34:02 -0400

cloud-init (0.7.3~bzr849-0ubuntu2) saucy; urgency=low

  * debian/control: fix bad dependency on python-jsonpatch 
    by build-depending on python-json-patch, so dh_python2
    can find the right package (LP: #1205358).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Jul 2013 10:47:59 -0400

cloud-init (0.7.3~bzr849-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * azure: support publishing hostname via bouncing interface (LP: #1202758)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 25 Jul 2013 17:08:30 -0400

cloud-init (0.7.3~bzr845-0ubuntu2) saucy; urgency=low

  * debian/control: fix dependency python-json-patch.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 24 Jul 2013 15:01:24 -0400

cloud-init (0.7.3~bzr845-0ubuntu1) saucy; urgency=low

  * Reads the currently set value in /etc/cloud/cloud.cfg.d/90_dpkg.cfg to
    db_set the value of cloud-init/datasources. (Closes: #709773)
  * New upstream snapshot.
    * azure: use deployment-id rather than static instance-id (LP: #1204190)
    * config-drive: make 'availability_zone' available. (LP: #1190431)
    * finalize handlers even on error (LP: #1203368)
    * azure: fix password based access (LP: #1201969)
    * add smartos (Joyent cloud) datasource
    * support patching cloud-config via jsonp (LP: #1200476)
  * debian/control: add dependency on python-jsonp

 -- Scott Moser <smoser@ubuntu.com>  Wed, 24 Jul 2013 13:47:53 -0400



=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 5.0.38),
               po-debconf,
               pyflakes,
               pylint,
               python (>= 2.6.6-3~),
               python-argparse,
               python-boto,
               python-cheetah,
               python-configobj,
               python-json-patch,
               python-mocker,
               python-nose,
               python-oauth,
               python-prettytable,
               python-setuptools,
               python-requests,
               python-yaml
XS-Python-Version: all
Standards-Version: 3.9.4

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         ifupdown (>= 0.6.10ubuntu5),
         procps,
         python,
         python-requests (>= 0.8.2),
         software-properties-common,
         ${misc:Depends},
         ${python:Depends}
Provides: ec2-init
Replaces: ec2-init (<<0.5.3)
Conflicts: ec2-init (<<0.5.3)
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: debconf (>= 1.5.19) | cdebconf,
         ucf,
         util-linux (>= 2.15-1),
         ${misc:Depends}
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

Package: ec2-init
Depends: cloud-init, ${misc:Depends}
Architecture: all
Description: package renamed -> cloud-init
 This package has been renamed to 'cloud-init'.

## cloud-init 0.7.5

=== requirements.txt ===
# Pypi requirements for cloud-init to work

# Used for untemplating any files or strings with parameters.
cheetah

# This is used for any pretty printing of tabular data.
PrettyTable

# This one is currently only used by the MAAS datasource. If that
# datasource is removed, this is no longer needed
oauth

# This one is currently used only by the CloudSigma and SmartOS datasources.
# If these datasources are removed, this is no longer needed
pyserial

# This is only needed for places where we need to support configs in a manner
# that the built-in config parser is not sufficent (ie
# when we need to preserve comments, or do not have a top-level
# section)...
configobj

# All new style configurations are in the yaml format
pyyaml

# The new main entrypoint uses argparse instead of optparse
argparse

# Requests handles ssl correctly!
requests

# For patching pieces of cloud-config together
jsonpatch

=== debian/changelog ===
cloud-init (0.7.5-0ubuntu1.23) trusty; urgency=medium

  - debian/control: added python-six dependency.
  - debian/patches/lp-1781039-gce-datasource-update.patch:
    Backport GCE datasource functionality from Xenial (LP: #1781039).

 -- Shane Peters <shane.peters@canonical.com>  Tue, 06 Sep 2018 17:57:23 -0400

cloud-init (0.7.5-0ubuntu1.22) trusty; urgency=medium

  * debian/update-grub-legacy-ec2:
    - Correctly detect kernels ending in -aws as kernels that can boot on EC2
      (LP: #1655934)
    - Consider kernels with CONFIG_XEN=y bootable on aws. (LP: #1379080)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 08 Jun 2017 19:25:41 -0400

cloud-init (0.7.5-0ubuntu1.21) trusty; urgency=medium

  * Microsoft Azure:
    - Install udev rules to create /dev/disk/cloud entries for Azure ephemeral
      disk.
    - debian/patches/lp-1603222-fix-ephemeral-disk-fstab.patch:
      - Use /dev/disk/cloud entries for ephemeral disk (LP: #1603222)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 25 Nov 2016 10:12:20 +0000

cloud-init (0.7.5-0ubuntu1.20) trusty; urgency=medium

  * GCE:
    - debian/patches/lp-1581200-gce-metadatafqdn.patch  (LP: #1581200):
      Remove trailing dot in metadata.google.internal GCE metadata lookup.

 -- Phil Roche <phil.roche@canonical.com>  Fri, 24 Jun 2016 11:43:42 +0100

cloud-init (0.7.5-0ubuntu1.19) trusty; urgency=medium

  * Bigstep:
    - debian/patches/lp-1553158-bigstep.patch (LP: #1553158):
        - Add the data source for the Bigstep cloud
        - Enable password changing via a hashed string

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 31 May 2016 13:42:32 +0100

cloud-init (0.7.5-0ubuntu1.18) trusty-security; urgency=medium

  * No change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Mar 2016 15:31:45 -0400

cloud-init (0.7.5-0ubuntu1.17) trusty; urgency=medium

  * Microsoft Azure:
    - d/patches/lp-1551419-azure-handle-flipped-uuid-endianness.patch: Handle
      cases where the endianness of the DMI UUID used for the instance ID has
      changed since last boot.(LP: #1551419)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 02 Mar 2016 14:23:18 +0000

cloud-init (0.7.5-0ubuntu1.16) trusty; urgency=medium

  * Joyent Smart DataOS:
    - d/patches/lp-1540965-SmartOS-Add-support-for-Joyent-LX-Brand-Zones.patch:
      SmartOS: Add support for Joyent LX-Brand Zones (LP: #1540965)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 02 Feb 2016 09:32:02 -0600

cloud-init (0.7.5-0ubuntu1.15) trusty; urgency=medium

  * Microsoft Azure:
    - d/patches/lp-1506244-azure-ssh-key-values.patch: AZURE: Add support
      and preference for fabric provided public SSH public key values over
      fingerprints (LP: #1506244).
    - use stable VM instance ID over SharedConfig.xml (LP: #1506187):
      - d/patches/lp-1506187-azure_use_unique_vm_id.patch: use DMI data for
        the stable VM instance ID
      - d/cloud-init.preinst: migrate existing instances to stable VM instance
        ID on upgrade from prior versions of cloud-init.

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 17 Nov 2015 10:02:24 -0700

cloud-init (0.7.5-0ubuntu1.14) trusty; urgency=medium

  * d/patches/lp-1177432-same-archives-as-ubuntu-server.patch: use the
    same archive pockets as Ubuntu Server (LP: #1177432).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 05 Nov 2015 09:50:57 -0700

cloud-init (0.7.5-0ubuntu1.13) trusty; urgency=medium

  * d/patches/lp-1177432-enable_backports.patch: Enable backports apt pocket
    (LP: #1177432).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 02 Nov 2015 08:52:09 -0700

cloud-init (0.7.5-0ubuntu1.12) trusty; urgency=medium

  * d/patches/lp-1493453-nocloudds-vendor_data.patch:
    - fix vendor_data variable assignment for the NoCloud Datasource
      (LP: #1493453).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 21 Sep 2015 15:24:17 -0600

cloud-init (0.7.5-0ubuntu1.11) trusty; urgency=medium

  [ Felipe Reyes ]
  * d/patches/fix-consumption-of-vendor-data.patch:
    - Fix consumption of vendor-data in OpenStack to allow namespacing
      (LP: #1469260).

  [ Scott Moser ]
  * d/patches/lp-1461242-generate-ed25519-host-keys.patch:
    - ssh: generate ed25519 host keys if supported (LP: #1461242)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 11 Sep 2015 20:22:00 -0400

cloud-init (0.7.5-0ubuntu1.10) trusty; urgency=medium

  [ Daniel Watkins ]
  * d/patches/lp-1490796-azure-fix-mount_cb-for-symlinks.patch:
      - Fix a regression caused by switching to /dev/disk symlinks
        (LP: #1490796).

 -- Ben Howard <ben.howard@ubuntu.com>  Wed, 02 Sep 2015 10:57:30 -0600

cloud-init (0.7.5-0ubuntu1.9) trusty; urgency=medium

  * d/cloud-init.templates: Include SmartOS data source in the default list
    and choices (LP: #1398997).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 02 Sep 2015 16:09:33 +0100

cloud-init (0.7.5-0ubuntu1.8) trusty; urgency=medium

  * debian/patches/lp-1411582-azure-udev-ephemeral-disks.patch:
      - Use udev rules to discover ephemeral disk locations rather than
        hard-coded device names (LP: #1411582).
  * debian/patches/lp-1470880-fix-gce-az-determination.patch:
      - Correctly parse GCE's availability zones (LP: #1470880).
  * d/patches/lp-1470890-include-regions-in-dynamic-mirror-discovery.patch:
      - Make %(region)s a valid substitution in mirror discovery
        (LP: #1470890).
  * Remove python-serial from Build-Depends; it was mistakenly added last
    upload.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 14 Aug 2015 13:54:02 +0100

cloud-init (0.7.5-0ubuntu1.7) trusty; urgency=medium

  * d/patches/lp-1456684-eu-central-1.patch:
    - Add central as a direction for EC2 availability zones (LP: #1456684).
  * d/patches/lp-1464253-handle-new-cloudstack-passwords.patch:
      - Handle both old and new CloudStack password servers (LP: #1464253).
  * Add python-serial to Build-Depends (LP: #1381776).



=== debian/control ===
--- 
+++ 
@@ -9,19 +9,19 @@
                pylint,
                python (>= 2.6.6-3~),
                python-argparse,
-               python-boto,
                python-cheetah,
                python-configobj,
-               python-json-patch,
+               python-jsonpatch | python-json-patch,
                python-mocker,
                python-nose,
                python-oauth,
+               python-six,
                python-prettytable,
                python-setuptools,
                python-requests,
                python-yaml
 XS-Python-Version: all
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: cloud-init
 Architecture: all
@@ -33,6 +33,7 @@
          software-properties-common,
          ${misc:Depends},
          ${python:Depends}
+Recommends: eatmydata
 Provides: ec2-init
 Replaces: ec2-init (<<0.5.3)
 Conflicts: ec2-init (<<0.5.3)

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES = cloud-init

binary-install/cloud-init::cloud-init-fixups

binary-install/grub-legacy-ec2::grub-legacy-ec2-install

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_INSTALL_ARGS_ALL += --init-system=upstart
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

cloud-init-fixups:
	install -d $(DEB_DESTDIR)/etc/rsyslog.d $(DEB_DESTDIR)/etc/profile.d
	cp tools/21-cloudinit.conf $(DEB_DESTDIR)/etc/rsyslog.d/21-cloudinit.conf
	cp tools/Z99-cloud-locale-test.sh $(DEB_DESTDIR)/etc/profile.d

grub-legacy-ec2-install:
	install -d $(DEB_DESTDIR)/usr/sbin
	install -m 0755 debian/update-grub-legacy-ec2 $(DEB_DESTDIR)/usr/sbin
	# Note: these are installed as 'x-' so as to be
	# sure to run after 'initramfs-tools' so the ramdisk
	# will be genrated.
	for khook in postinst postrm; do \
		d=$(DEB_DESTDIR)/etc/kernel/$${khook}.d; \
		install -d "$${d}" && \
		install -m 0755 "debian/grub-legacy-ec2.kernel-$${khook}" "$${d}/x-grub-legacy-ec2" || exit 1; done
	install -m 0755 debian/grub-set-default-legacy-ec2 $(DEB_DESTDIR)/usr/sbin
	install -m 0755 debian/grub-set-default $(DEB_DESTDIR)/usr/sbin

## cloud-init 0.7.6~bzr976

=== debian/changelog ===
cloud-init (0.7.6~bzr976-2) unstable; urgency=medium

  * Build-depend on iproute2 instead of iproute (Closes: #753695). 
  * Translation updates:
    - Portuguese: Américo Monteiro <a_monteiro@gmx.com>, closes: #748520.
    - German: Chris Leick <c.leick@vollbio.de>,          closes: #750852.
    - French: Julien Patriarca <leatherface@debian.org>, closes: #749773.

 -- Charles Plessy <plessy@debian.org>  Sat, 05 Jul 2014 20:27:10 +0900

cloud-init (0.7.6~bzr976-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #750314).

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Jun 2014 07:21:45 +0900

cloud-init (0.7.5-1) unstable; urgency=medium

  * New upstream release
    - adds OpenNebula support, closes: #736148.
    - adds GCE as new source, closes: #725384.

  [ Charles Plessy ]
  * Depend and Build-Depend on python-jsonpatch and python-serial.
  * Build-Depend on iproute for the regression tests.
  * Conforms to Policy 3.9.5.
  * Correct installation path for rsyslog config snippet.
    Thanks, Juerg Haefliger <juergh@gmail.com>.  Closes: #707125
  * Added debian/gbp.conf, marking the use of git-buildpackage.
  * Build-depend on python-httpretty for the regression tests.
  * Source packages migrated to Git; updated VCS URLs.

 -- Charles Plessy <plessy@debian.org>  Sat, 17 May 2014 14:21:24 +0900

=== debian/control ===
Source: cloud-init
Maintainer: Charles Plessy <plessy@debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
               iproute2,
               po-debconf,
               pyflakes,
               pylint,
               python,
               python-boto (>= 2.3),
               python-cheetah,
               python-configobj,
               python-httpretty,
               python-jsonpatch,
               python-mocker,
               python-nose,
               python-oauth,
               python-serial,
               python-setuptools,
               python-requests,
               python-yaml
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cloud-init.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends: lsb-base (>= 4.1+Debian3),
         ifupdown,
         procps,
         python,
         python (>= 2.7) | python-argparse,
         python-boto (>= 2.3),
         python-cheetah,
         python-configobj,
         python-jsonpatch,
         python-oauth,
         python-prettytable,
         python-requests,
         python-serial,
         python-software-properties,
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	dh_install
	rm -rf debian/cloud-init/usr/lib/python?.?/dist-packages/tests

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test
	$(MAKE) test
endif

override_dh_installinit:
	dh_installinit --no-start --no-restart-on-upgrade --name cloud-init-local
	dh_installinit --no-start --no-restart-on-upgrade
	dh_installinit --no-start --no-restart-on-upgrade --name cloud-config
	dh_installinit --no-start --no-restart-on-upgrade --name cloud-final

## cloud-init 0.7.6~bzr1022

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Used for untemplating any files or strings with parameters.
 cheetah
+jinja2
 
 # This is used for any pretty printing of tabular data.
 PrettyTable

=== debian/changelog ===
cloud-init (0.7.6~bzr1022-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * support for writing swap files per user config (disabled by default).
    * fixes for freebsd support of config drive.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 01 Oct 2014 16:27:44 -0400

cloud-init (0.7.6~bzr1020-0ubuntu1) utopic; urgency=medium

  [ Ben Howard ]
  * Fix for cloud-init misidentifying grub install device (LP: #1336855).

  [ Scott Moser ]
  * New upstream snapshot.
    * cc_grub_dpkg: consider /dev/xvda as candidate for grub installation
      (LP: #1336855)
    * resizefs: fix backgrounding of resizefs (LP: #1338614) 
    * cloud-init-blocknet: remove debug code

 -- Scott Moser <smoser@ubuntu.com>  Tue, 23 Sep 2014 14:20:09 -0400

cloud-init (0.7.6~bzr1016-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * upstart: block networking from coming up until after
      cloud-init-local has run. (LP: #1368861)
    * upstart: ensure /run mounted before cloud-init-local (LP: #1353008)
    * log failures in route info.
    * Openstack: do not search redundant urls for openstack datasource.
      do not load urls just to check if they're present when crawling.
    * ConfigDrive: fixes for better consumption of vendor-data
    * resizefs: make sure target is writable before attempting
      in order to avoid failures in containers. (LP: #1366891)
    * freebsd fixes.
    * ssh_authkey_fingerprints: correctly allow disabling (LP: #1340903)
    * CloudStack: work around bug in metadata service (LP: #1356855)
    * docs: fix doc about disk-setup 'table_type' (LP: #1313114)
    * resolv.conf: fix rendering if options not provided (LP: #1328953)
    * ensure keys exist before running ssh on systemd (LP: #1333920)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 12 Sep 2014 18:12:31 -0400

cloud-init (0.7.6~bzr992-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * ubuntu-init-switch: fixes and minor tweaks.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 31 Jul 2014 16:11:27 -0400

cloud-init (0.7.6~bzr990-0ubuntu1) utopic; urgency=medium

  * debian/README.source: get changelog from trunk when new snapshot
  * New upstream snapshot.
    * add ubuntu-init-switch module for testing systemd.
    * do not put comments in /etc/timezone (LP: #1341710)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 31 Jul 2014 15:05:51 -0400

cloud-init (0.7.6~bzr987-0ubuntu2) utopic; urgency=medium

  * debian/control: drop build-depends on python-selinux as it is
    not in main.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Jul 2014 12:47:39 -0400

cloud-init (0.7.6~bzr987-0ubuntu1) utopic; urgency=medium

  * incorporate systemd and build system changes from trunk.
  * New upstream snapshot.
    * less noisy logs
    * allow usage of jinja2 templates (LP: #1219223)
    * test case cleanups
    * change build system to be dh and pybuild

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Jul 2014 19:55:30 -0400

cloud-init (0.7.6~bzr976-0ubuntu1) utopic; urgency=medium

  * debian/cloud-init.templates: fix choices so dpkg-reconfigure works as
    expected (LP: #1325746)
  * New upstream snapshot.
    * tests: SmartOS test not depend on /dev/ttyS1 device node (LP: #1316597)
    * poll ttyS1 only after check for 'cloudsigma' in dmidecode (LP: #1316475)
    * cloudsigma: support vendor-data (LP: #1303986)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 03 Jun 2014 16:41:07 -0400

=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               po-debconf,
               pyflakes,
               pylint,
               python (>= 2.6.6-3~),
               python-argparse,
               python-cheetah,
               python-configobj,
               python-httpretty,
               python-jsonpatch | python-json-patch,
               python-jinja2,
               python-mocker,
               python-nose,
               python-oauth,
               python-prettytable,
               python-setuptools,
               python-serial,
               python-requests,
               python-yaml
XS-Python-Version: all
Standards-Version: 3.9.5

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         ifupdown (>= 0.6.10ubuntu5),
         procps,
         python,
         python-requests (>= 0.8.2),
         software-properties-common,
         ${misc:Depends},
         ${python:Depends}
Recommends: eatmydata
Provides: ec2-init
Replaces: ec2-init (<<0.5.3)
Conflicts: ec2-init (<<0.5.3)
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: debconf (>= 1.5.19) | cdebconf,
         ucf,
         util-linux (>= 2.15-1),
         ${misc:Depends}
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

Package: ec2-init
Depends: cloud-init, ${misc:Depends}
Architecture: all
Description: package renamed -> cloud-init
 This package has been renamed to 'cloud-init'.

=== debian/rules ===
#!/usr/bin/make -f
INIT_SYSTEM ?= upstart,systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python2,systemd --buildsystem pybuild

override_dh_auto_test:
	# Because setup tools didn't copy data...
	cp -r tests/data .pybuild/pythonX.Y_2.7/build/tests
	# We set http_proxy because of httpretty issue 122 trunk has worked
	# around that but to support cloud-init that has not.
	http_proxy= dh_auto_test -- --test-nose

## cloud-init 0.7.7~bzr1091

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 CHANGELOG_VERSION=$(shell $(CWD)/tools/read-version)
 CODE_VERSION=$(shell python -c "from cloudinit import version; print version.version_string()")
 
+PIP_INSTALL := pip install
+
 ifeq ($(distro),)
   distro = redhat
 endif
@@ -17,13 +19,19 @@
 pep8:
 	@$(CWD)/tools/run-pep8 $(PY_FILES)
 
-pylint:
-	@$(CWD)/tools/run-pylint $(PY_FILES)
-
 pyflakes:
 	pyflakes $(PY_FILES)
 
-test:
+pip-requirements:
+	@echo "Installing cloud-init dependencies..."
+	$(PIP_INSTALL) -r "$@.txt" -q
+
+pip-test-requirements:
+	@echo "Installing cloud-init test dependencies..."
+	$(PIP_INSTALL) -r "$@.txt" -q
+
+test: clean_pyc
+	@echo "Running tests..."
 	@nosetests $(noseopts) tests/
 
 check_version:
@@ -32,12 +40,14 @@
 	    "not equal to code version $(CODE_VERSION)"; exit 2; \
 	    else true; fi
 
+clean_pyc:
+	@find . -type f -name "*.pyc" -delete
+
 2to3:
 	2to3 $(PY_FILES)
 
-clean:
-	rm -rf /var/log/cloud-init.log \
-		   /var/lib/cloud/
+clean: clean_pyc
+	rm -rf /var/log/cloud-init.log /var/lib/cloud/
 
 yaml:
 	@$(CWD)/tools/validate-yaml.py $(YAML_FILES)
@@ -48,5 +58,5 @@
 deb:
 	./packages/bddeb
 
-.PHONY: test pylint pyflakes 2to3 clean pep8 rpm deb yaml check_version
-
+.PHONY: test pyflakes 2to3 clean pep8 rpm deb yaml check_version
+.PHONY: pip-test-requirements pip-requirements clean_pyc

=== debian/changelog ===
cloud-init (0.7.7~bzr1091-0ubuntu12) vivid; urgency=medium

  * d/patches/lp-1506244-azure-ssh-key-values.patch: AZURE: Add support
    and preference for fabric provided public SSH public key values over
    fingerprints (LP: #1506244).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 17 Nov 2015 10:02:41 -0700

cloud-init (0.7.7~bzr1091-0ubuntu11) vivid; urgency=medium

  * d/patches/lp-1177432-same-archives-as-ubuntu-server.patch: use the
    same archive pockets as Ubuntu Server (LP: #1177432).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 05 Nov 2015 12:36:21 -0700

cloud-init (0.7.7~bzr1091-0ubuntu10) vivid; urgency=medium

  * d/patches/lp-1177432-enable_backports.patch: Enable backports apt pocket
    (LP: #1177432).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 02 Nov 2015 08:52:16 -0700

cloud-init (0.7.7~bzr1091-0ubuntu9) vivid; urgency=medium

  * d/patches/lp-1493453-nocloudds-vendor_data.patch:
    - fix vendor_data variable assignment for the NoCloud Datasource
      (LP: #1493453).

  * d/patches/lp-1461242-generate-ed25519-host-keys.patch:
    - ssh: generate ed25519 host keys if supported (LP: #1461242).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 22 Sep 2015 15:02:06 -0600

cloud-init (0.7.7~bzr1091-0ubuntu8) vivid; urgency=medium

  * d/patches/lp-1494816-snappy-ssh-enabled_with_auth.patch:
      - Enable SSH on Ubuntu Snappy when the Cloud Fabric/user provides user
        authentication tokens (LP: #1494816).

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 15 Sep 2015 17:30:35 -0600

cloud-init (0.7.7~bzr1091-0ubuntu7) vivid; urgency=medium

  [ Daniel Waktins ]
  * d/patches/lp-1490796-azure-fix-mount_cb-for-symlinks.patch:
      - Fix a regression caused by switching to /dev/disk symlinks
        (LP: #1490796).

 -- Ben Howard <ben.howard@ubuntu.com>  Wed, 02 Sep 2015 11:18:30 -0600

cloud-init (0.7.7~bzr1091-0ubuntu6) vivid; urgency=medium

  * d/cloud-init.templates: Include SmartOS data source in the default list
    and choices (LP: #1398997).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 02 Sep 2015 16:13:54 +0100

cloud-init (0.7.7~bzr1091-0ubuntu5) vivid; urgency=medium

  * d/patches/lp-1411582-azure-udev-ephemeral-disks.patch:
      - Use udev rules to discover ephemeral disk locations rather than
        hard-coded device names (LP: #1411582).
  * d/patches/lp-1470880-fix-gce-az-determination.patch:
      - Correctly parse GCE's availability zones (LP: #1470880).
  * d/patches/lp-1470890-include-regions-in-dynamic-mirror-discovery.patch:
      - Make %(region)s a valid substitution in mirror discovery
        (LP: #1470890).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 14 Aug 2015 13:50:32 +0100

cloud-init (0.7.7~bzr1091-0ubuntu4) vivid; urgency=medium

  * d/patches/lp-1456684-eu-central-1.patch: Add central as a direction for
    EC2 availability zones (LP: #1456684).
  * d/patches/lp-1464253-handle-new-cloudstack-passwords.patch: Handle both
    old and new CloudStack password servers (LP: #1464253).
  * d/patches/lp-1475215-fix-cloudsigma-cepko.patch: Fix CloudSigma datasource
    under Python 3 (LP: #1475215).
  * d/patches/lp-1463373-fix-apt-gpg-key-fetching.patch: Fix a Python 3
    problem with the writing out of the script that fetches GPG keys for apt
    repos (LP: #1463373).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Mon, 29 Jun 2015 12:48:33 +0100

cloud-init (0.7.7~bzr1091-0ubuntu3) vivid-proposed; urgency=medium

  * d/README.source, debian/cherry-pick-rev: improve packaging tool
  * fix read_seeded method needed for seeding cloud-init via kernel
    command line (LP: #1455233).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Jun 2015 15:39:32 -0400

cloud-init (0.7.7~bzr1091-0ubuntu2) vivid; urgency=medium

  * Backport of 15.10 Azure Datasource to fix various issues:
    - Azure Datasource writes user password in plain text (LP: #1458052).
    - Hostname not preserved across Azure reboots (LP: #1375252).
    - Allow provisioning of Ubuntu Snappy w/out WALinuxAgent (LP: #1448885).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 25 May 2015 09:38:58 -0600

cloud-init (0.7.7~bzr1091-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * fix processing of user-data in cloud-config-archive format (LP: #1445143)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 17 Apr 2015 12:04:16 -0400

cloud-init (0.7.7~bzr1088-0ubuntu3) vivid; urgency=medium

  * systemd/*.service: don't declare a Wants/Requires on network.target; this
    is a passive target that should only be pulled in by implementors of the
    networking service.  The requirement for network needs to be 
    expressed as a dependency on network-online.target.  LP: #1440180.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Apr 2015 07:35:55 -0700

cloud-init (0.7.7~bzr1088-0ubuntu2) vivid; urgency=medium

  [ Didier Roche ]
  * Don't start or restart cloud-init services on install and upgrade
    (LP: #1438520)

  [ Scott Moser ]
  * d/control: Build-Depends on iproute2 (tests)
  * d/control: Only Recommend (not both Depend and Recommend)
    software-properties-common

 -- Scott Moser <smoser@ubuntu.com>  Fri, 03 Apr 2015 11:13:28 -0400

cloud-init (0.7.7~bzr1088-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * adjust cc_snappy for snappy install package with config. (LP: #1438836)
      snappy install takes config as argument rather than '--config' flag.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 31 Mar 2015 14:21:48 -0400

cloud-init (0.7.7~bzr1087-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * SmartOS: update ds to use v2 metadata. (LP: #1436417) [Daniel Watkins]
    * Fix NoCloud local datasource to only activate if told to do so.
    * fix snappy package installation. (LP: #1437137)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 27 Mar 2015 17:09:34 -0400

cloud-init (0.7.7~bzr1084-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * systemd: update config and final to run even if init jobs fail


=== debian/control ===
--- 
+++ 
@@ -5,38 +5,38 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
+               iproute2,
                po-debconf,
                pyflakes,
-               pylint,
-               python (>= 2.6.6-3~),
-               python-argparse,
-               python-cheetah,
-               python-configobj,
-               python-httpretty,
-               python-jsonpatch | python-json-patch,
-               python-jinja2,
-               python-mocker,
-               python-nose,
-               python-oauth,
-               python-prettytable,
-               python-setuptools,
-               python-serial,
-               python-requests,
-               python-yaml
+               python3,
+               pyflakes,
+               python3-configobj,
+               python3-httpretty,
+               python3-jinja2,
+               python3-jsonpatch,
+               python3-mock,
+               python3-nose,
+               python3-oauthlib,
+               python3-pep8,
+               python3-prettytable,
+               python3-requests,
+               python3-serial,
+               python3-setuptools,
+               python3-six,
+               python3-yaml
 XS-Python-Version: all
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
          ifupdown (>= 0.6.10ubuntu5),
          procps,
-         python,
-         python-requests (>= 0.8.2),
-         software-properties-common,
+         python3,
+         python3-requests (>= 0.8.2),
          ${misc:Depends},
-         ${python:Depends}
-Recommends: eatmydata
+         ${python3:Depends}
+Recommends: eatmydata, software-properties-common
 Provides: ec2-init
 Replaces: ec2-init (<<0.5.3)
 Conflicts: ec2-init (<<0.5.3)

=== debian/rules ===
#!/usr/bin/make -f
INIT_SYSTEM ?= upstart,systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
	# Because setup tools didn't copy data...
	[ ! -d .pybuild/pythonX.Y_?.?/build/tests ] || cp -r tests/data .pybuild/pythonX.Y_?.?/build/tests
	# We set http_proxy because of httpretty issue 122 trunk has worked
	# around that but to support cloud-init that has not.
	http_proxy= dh_auto_test -- --test-nose

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

## cloud-init 0.7.7~bzr1149

=== debian/changelog ===
cloud-init (0.7.7~bzr1149-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    azure: support extracting SSH key values from ovf-env.xml (LP: #1506244)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Oct 2015 20:38:45 -0400

cloud-init (0.7.7~bzr1148-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * support configuring and installing the Ubuntu fan driver (LP: #1504604)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Oct 2015 13:00:12 -0400

cloud-init (0.7.7~bzr1147-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * MAAS: fix oauth when system clock is bad (LP: #1499869)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 29 Sep 2015 20:16:57 -0400

cloud-init (0.7.7~bzr1146-0ubuntu2) wily; urgency=medium

  * replace usage of python with python3 in postinst (LP: #1498493)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Sep 2015 09:49:01 -0400

cloud-init (0.7.7~bzr1146-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * make the webhook reporter post json data rather than
      urlencoded data (LP: #1496960)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 17 Sep 2015 15:59:35 -0400

cloud-init (0.7.7~bzr1145-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * fix default builtin config of snappy to set ssh_enabled=auto.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 15 Sep 2015 15:33:19 -0400

cloud-init (0.7.7~bzr1144-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    [ Ben Howard ]
    * snappy: enable ssh on snappy if ssh keys are provided or
      password authentication is requested (LP: #1494816)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 11 Sep 2015 17:00:16 -0400

cloud-init (0.7.7~bzr1143-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * NoCloud: fix consumption of vendor-data (LP: #1493453)
    * power_state: support power change only on 'condition'

 -- Scott Moser <smoser@ubuntu.com>  Thu, 10 Sep 2015 16:20:44 -0400

cloud-init (0.7.7~bzr1141-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * fix bug in cloud-init main preventing any usage.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 03 Sep 2015 11:36:37 -0400

cloud-init (0.7.7~bzr1140-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Handle symlink mount points in mount_cb (LP: #1490796).
    * sync curtin reporting changes back to cloud-init.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 02 Sep 2015 16:50:54 -0400

cloud-init (0.7.7~bzr1138-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * MAAS: fixes to data source and OauthUrlHelper (LP: #1488507)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 25 Aug 2015 15:28:06 -0400

cloud-init (0.7.7~bzr1137-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * swap: use fallocate to create swapfile for speedup. (LP: #1482994)
    * reporting: print handler fix.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 12 Aug 2015 12:54:51 -0400

cloud-init (0.7.7~bzr1135-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * some stack traces fixed.
    * improved rsyslog/syslog config format
    * add reporting module for webhook or log reporting of events.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 07 Aug 2015 17:16:51 -0400

cloud-init (0.7.7~bzr1127-0ubuntu1) wily; urgency=medium

  [ Scott Moser ]
  * d/README.source, debian/cherry-pick-rev: improve packaging tool

  [ Daniel Watkins ]
  * d/cloud-init.templates: Include SmartOS data source in the default list
    and choices. (LP: #1398997)

  [ Scott Moser ]
  * New upstream snapshot.
    * check for systemd using sd_booted symantics (LP: #1461201)
    * fix importing of gpg keys in python3 (LP: #1463373)
    * fix specification of devices to growpart (LP: #1465436)
    * reliably detect and use Azure disks using udev rules (LP: #1411582)
    * support selection of Ubuntu mirrors on GCE (LP: #1470890)
    * ssh: generate ed25519 host keys if supported (LP: #1461242)
    * test fixes and cleanups
    * fix reading of availability-zone on GCE (LP: #1470880)
    * fix cloudsigma datasource with python3 (LP: #1475215)
    * fix rightscale user-data
    * fix consumption of CloudStack passwords on newer CloudStack platforms
      (LP: #1440263, #1464253)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 22 Jul 2015 17:06:18 -0400

cloud-init (0.7.7~bzr1109-0ubuntu2) wily; urgency=medium

  * d/control: cloud-init Recommends gdisk (LP: #1462521)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Jun 2015 16:33:38 -0400

cloud-init (0.7.7~bzr1109-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Azure: Redact on-disk user password in /var/lib/ovf-env.xml
      (LP: #1311827)
    * EC2: be aware of eu-central-1 availability zone (LP: #1456684)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 28 May 2015 10:54:45 -0400

cloud-init (0.7.7~bzr1106-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Azure: remove strict dependency on walinux-agent, but still utilize
      it for the time being.
    * fix read_seeded that is used in seeding user-data and meta-data
      from additional locations (LP: #1455233)
    * fix bug preventing partitioning of disks in many cases. (LP: #1311463)
    * Azure: do not override hostname if user has set it (LP: #1375252)
    * Fix GCE datasource not handling per-instance SSH keys (LP: #1403617)
    * Allow specifying of uid in user/group config.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 May 2015 17:04:19 -0400

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
          python3-requests (>= 0.8.2),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: eatmydata, software-properties-common
+Recommends: eatmydata, gdisk, software-properties-common
 Provides: ec2-init
 Replaces: ec2-init (<<0.5.3)
 Conflicts: ec2-init (<<0.5.3)
